Support Questions
Find answers, ask questions, and share your expertise

Zeppelin intrepreters not being able to install in HDP 3.x.x

Zeppelin intrepreters not being able to install in HDP 3.x.x

New Contributor

I am using the HDP 3.x.x on VMware for training purposes. I have given it 4 cores and 12 GB ram and 100+gb space.  I want to install the interpreters- hive, file. 

the commands provided are zeppelin docs 

./bin/install-interpreter.sh --all

 

 

[root@sandbox-hdp zeppelin-server]# ./bin/install-interpreter.sh --all                                                                                                      
OpenJDK 64-Bit Server VM warning: ignoring option MaxPermSize=512m; support was removed in 8.0                                                                              
SLF4J: Class path contains multiple SLF4J bindings.                                                                                                                         
SLF4J: Found binding in [jar:file:/usr/hdp/3.0.1.0-187/zeppelin/lib/interpreter/slf4j-log4j12-1.7.10.jar!/org/slf4j/impl/StaticLoggerBinder.class]                          
SLF4J: Found binding in [jar:file:/usr/hdp/3.0.1.0-187/zeppelin/lib/slf4j-simple-1.6.4.jar!/org/slf4j/impl/StaticLoggerBinder.class]                                        
SLF4J: Found binding in [jar:file:/usr/hdp/3.0.1.0-187/zeppelin/lib/slf4j-log4j12-1.7.10.jar!/org/slf4j/impl/StaticLoggerBinder.class]                                      
SLF4J: See http://www.slf4j.org/codes.html#multiple_bindings for an explanation.                                                                                            
SLF4J: Actual binding is of type [org.slf4j.impl.Log4jLoggerFactory]                                                                                                        
Install alluxio(org.apache.zeppelin:zeppelin-alluxio:0.8.0) to /usr/hdp/current/zeppelin-server/interpreter/alluxio ...                                                     
org.sonatype.aether.RepositoryException: Cannot fetch dependencies for org.apache.zeppelin:zeppelin-alluxio:0.8.0                                                           
        at org.apache.zeppelin.dep.DependencyResolver.getArtifactsWithDep(DependencyResolver.java:179)                                                                      
        at org.apache.zeppelin.dep.DependencyResolver.loadFromMvn(DependencyResolver.java:128)                                                                              
        at org.apache.zeppelin.dep.DependencyResolver.load(DependencyResolver.java:76)                                                                                      
        at org.apache.zeppelin.dep.DependencyResolver.load(DependencyResolver.java:93)                                                                                      
        at org.apache.zeppelin.dep.DependencyResolver.load(DependencyResolver.java:85)                                                                                      
        at org.apache.zeppelin.interpreter.install.InstallInterpreter.install(InstallInterpreter.java:170)                                                                  
        at org.apache.zeppelin.interpreter.install.InstallInterpreter.installAll(InstallInterpreter.java:120)                                                               
        at org.apache.zeppelin.interpreter.install.InstallInterpreter.main(InstallInterpreter.java:270)                                                                     
Caused by: java.lang.NullPointerException                                                                                                                                   
        at org.sonatype.aether.impl.internal.DefaultRepositorySystem.resolveDependencies(DefaultRepositorySystem.java:352)                                                  
        at org.apache.zeppelin.dep.DependencyResolver.getArtifactsWithDep(DependencyResolver.java:176)                                                                      
        ... 7 more                                                                                                                                                          
Directory /usr/hdp/current/zeppelin-server/interpreter/angular already exists                                                                                               
                                                                                                                                                                            
Skipped                                                                                                                                                                     
Install beam(org.apache.zeppelin:zeppelin-beam:0.8.0) to /usr/hdp/current/zeppelin-server/interpreter/beam ...                                                              
org.sonatype.aether.RepositoryException: Cannot fetch dependencies for org.apache.zeppelin:zeppelin-beam:0.8.0                                                              
        at org.apache.zeppelin.dep.DependencyResolver.getArtifactsWithDep(DependencyResolver.java:179)                                                                      
        at org.apache.zeppelin.dep.DependencyResolver.loadFromMvn(DependencyResolver.java:128)                                                                              
        at org.apache.zeppelin.dep.DependencyResolver.load(DependencyResolver.java:76)                                                                                      
        at org.apache.zeppelin.dep.DependencyResolver.load(DependencyResolver.java:93)                                                                                      
        at org.apache.zeppelin.dep.DependencyResolver.load(DependencyResolver.java:85)                                                                                      
        at org.apache.zeppelin.interpreter.install.InstallInterpreter.install(InstallInterpreter.java:170)                                                                  
        at org.apache.zeppelin.interpreter.install.InstallInterpreter.installAll(InstallInterpreter.java:120)                                                               
        at org.apache.zeppelin.interpreter.install.InstallInterpreter.main(InstallInterpreter.java:270)                                                                     
Caused by: java.lang.NullPointerException                                                                                                                                   
        at org.sonatype.aether.impl.internal.DefaultRepositorySystem.resolveDependencies(DefaultRepositorySystem.java:352)                                                  
        at org.apache.zeppelin.dep.DependencyResolver.getArtifactsWithDep(DependencyResolver.java:176)                                                                      
        ... 7 more                                                                                                                                                          
Install bigquery(org.apache.zeppelin:zeppelin-bigquery:0.8.0) to /usr/hdp/current/zeppelin-server/interpreter/bigquery ...                                                  
org.sonatype.aether.RepositoryException: Cannot fetch dependencies for org.apache.zeppelin:zeppelin-bigquery:0.8.0                                                          
        at org.apache.zeppelin.dep.DependencyResolver.getArtifactsWithDep(DependencyResolver.java:179)                                                                      
        at org.apache.zeppelin.dep.DependencyResolver.loadFromMvn(DependencyResolver.java:128)                                                                              
        at org.apache.zeppelin.dep.DependencyResolver.load(DependencyResolver.java:76)                                                                                      
        at org.apache.zeppelin.dep.DependencyResolver.load(DependencyResolver.java:93)                                                                                      
        at org.apache.zeppelin.dep.DependencyResolver.load(DependencyResolver.java:85)                                                                                      
        at org.apache.zeppelin.interpreter.install.InstallInterpreter.install(InstallInterpreter.java:170)                                                                  
        at org.apache.zeppelin.interpreter.install.InstallInterpreter.installAll(InstallInterpreter.java:120)                                                               
        at org.apache.zeppelin.interpreter.install.InstallInterpreter.main(InstallInterpreter.java:270)                                                                     
Caused by: java.lang.NullPointerException                                                                                                                                   
        at org.sonatype.aether.impl.internal.DefaultRepositorySystem.resolveDependencies(DefaultRepositorySystem.java:352)                                                  
        at org.apache.zeppelin.dep.DependencyResolver.getArtifactsWithDep(DependencyResolver.java:176)                                                                      
        ... 7 more                                                                                                                                                          
Install cassandra(org.apache.zeppelin:zeppelin-cassandra_2.11:0.8.0) to /usr/hdp/current/zeppelin-server/interpreter/cassandra ...                                          
org.sonatype.aether.RepositoryException: Cannot fetch dependencies for org.apache.zeppelin:zeppelin-cassandra_2.11:0.8.0                                                    
        at org.apache.zeppelin.dep.DependencyResolver.getArtifactsWithDep(DependencyResolver.java:179)                                                                      
        at org.apache.zeppelin.dep.DependencyResolver.loadFromMvn(DependencyResolver.java:128)                                                                              
        at org.apache.zeppelin.dep.DependencyResolver.load(DependencyResolver.java:76)                                                                                      
        at org.apache.zeppelin.dep.DependencyResolver.load(DependencyResolver.java:93)                                                                                      
        at org.apache.zeppelin.dep.DependencyResolver.load(DependencyResolver.java:85)                                                                                      
        at org.apache.zeppelin.interpreter.install.InstallInterpreter.install(InstallInterpreter.java:170)                                                                  
        at org.apache.zeppelin.interpreter.install.InstallInterpreter.installAll(InstallInterpreter.java:120)                                                               
        at org.apache.zeppelin.interpreter.install.InstallInterpreter.main(InstallInterpreter.java:270)                                                                     
Caused by: java.lang.NullPointerException                                                                                                                                   
        at org.sonatype.aether.impl.internal.DefaultRepositorySystem.resolveDependencies(DefaultRepositorySystem.java:352)                                                  
        at org.apache.zeppelin.dep.DependencyResolver.getArtifactsWithDep(DependencyResolver.java:176)                                                                      
        ... 7 more                                                                                                                                                          
Install elasticsearch(org.apache.zeppelin:zeppelin-elasticsearch:0.8.0) to /usr/hdp/current/zeppelin-server/interpreter/elasticsearch ...                                   
org.sonatype.aether.RepositoryException: Cannot fetch dependencies for org.apache.zeppelin:zeppelin-elasticsearch:0.8.0                                                     
        at org.apache.zeppelin.dep.DependencyResolver.getArtifactsWithDep(DependencyResolver.java:179)                                                                      
        at org.apache.zeppelin.dep.DependencyResolver.loadFromMvn(DependencyResolver.java:128)                                                                              
        at org.apache.zeppelin.dep.DependencyResolver.load(DependencyResolver.java:76)                                                                                      
        at org.apache.zeppelin.dep.DependencyResolver.load(DependencyResolver.java:93)                                                                                      
        at org.apache.zeppelin.dep.DependencyResolver.load(DependencyResolver.java:85)                                                                                      
        at org.apache.zeppelin.interpreter.install.InstallInterpreter.install(InstallInterpreter.java:170)                                                                  
        at org.apache.zeppelin.interpreter.install.InstallInterpreter.installAll(InstallInterpreter.java:120)                                                               
        at org.apache.zeppelin.interpreter.install.InstallInterpreter.main(InstallInterpreter.java:270)                                                                     
Caused by: java.lang.NullPointerException                                                                                                                                   
        at org.sonatype.aether.impl.internal.DefaultRepositorySystem.resolveDependencies(DefaultRepositorySystem.java:352)                                                  
        at org.apache.zeppelin.dep.DependencyResolver.getArtifactsWithDep(DependencyResolver.java:176)                                                                      
        ... 7 more                                                                                                                                                          
Install file(org.apache.zeppelin:zeppelin-file:0.8.0) to /usr/hdp/current/zeppelin-server/interpreter/file ...                                                              
org.sonatype.aether.RepositoryException: Cannot fetch dependencies for org.apache.zeppelin:zeppelin-file:0.8.0                                                              
        at org.apache.zeppelin.dep.DependencyResolver.getArtifactsWithDep(DependencyResolver.java:179)                                                                      
        at org.apache.zeppelin.dep.DependencyResolver.loadFromMvn(DependencyResolver.java:128)                                                                              
        at org.apache.zeppelin.dep.DependencyResolver.load(DependencyResolver.java:76)                                                                                      
        at org.apache.zeppelin.dep.DependencyResolver.load(DependencyResolver.java:93)                                                                                      
        at org.apache.zeppelin.dep.DependencyResolver.load(DependencyResolver.java:85)                                                                                      
        at org.apache.zeppelin.interpreter.install.InstallInterpreter.install(InstallInterpreter.java:170)                                                                  
        at org.apache.zeppelin.interpreter.install.InstallInterpreter.installAll(InstallInterpreter.java:120)                                                               
        at org.apache.zeppelin.interpreter.install.InstallInterpreter.main(InstallInterpreter.java:270)                                                                     
Caused by: java.lang.NullPointerException                                                                                                                                   
        at org.sonatype.aether.impl.internal.DefaultRepositorySystem.resolveDependencies(DefaultRepositorySystem.java:352)                                                  
        at org.apache.zeppelin.dep.DependencyResolver.getArtifactsWithDep(DependencyResolver.java:176)                                                                      
        ... 7 more                                                                                                                                                          
Install flink(org.apache.zeppelin:zeppelin-flink_2.11:0.8.0) to /usr/hdp/current/zeppelin-server/interpreter/flink ...                                                      
org.sonatype.aether.RepositoryException: Cannot fetch dependencies for org.apache.zeppelin:zeppelin-flink_2.11:0.8.0                                                        
        at org.apache.zeppelin.dep.DependencyResolver.getArtifactsWithDep(DependencyResolver.java:179)                                                                      
        at org.apache.zeppelin.dep.DependencyResolver.loadFromMvn(DependencyResolver.java:128)                                                                              
        at org.apache.zeppelin.dep.DependencyResolver.load(DependencyResolver.java:76)                                                                                      
        at org.apache.zeppelin.dep.DependencyResolver.load(DependencyResolver.java:93)                                                                                      
        at org.apache.zeppelin.dep.DependencyResolver.load(DependencyResolver.java:85)                                                                                      
        at org.apache.zeppelin.interpreter.install.InstallInterpreter.install(InstallInterpreter.java:170)                                                                  
        at org.apache.zeppelin.interpreter.install.InstallInterpreter.installAll(InstallInterpreter.java:120)                                                               
        at org.apache.zeppelin.interpreter.install.InstallInterpreter.main(InstallInterpreter.java:270)                                                                     
Caused by: java.lang.NullPointerException                                                                                                                                   
        at org.sonatype.aether.impl.internal.DefaultRepositorySystem.resolveDependencies(DefaultRepositorySystem.java:352)                                                  
        at org.apache.zeppelin.dep.DependencyResolver.getArtifactsWithDep(DependencyResolver.java:176)                                                                      
        ... 7 more                                                                                                                                                          
Install hbase(org.apache.zeppelin:zeppelin-hbase:0.8.0) to /usr/hdp/current/zeppelin-server/interpreter/hbase ...                                                           
org.sonatype.aether.RepositoryException: Cannot fetch dependencies for org.apache.zeppelin:zeppelin-hbase:0.8.0                                                             
        at org.apache.zeppelin.dep.DependencyResolver.getArtifactsWithDep(DependencyResolver.java:179)                                                                      
        at org.apache.zeppelin.dep.DependencyResolver.loadFromMvn(DependencyResolver.java:128)                                                                              
        at org.apache.zeppelin.dep.DependencyResolver.load(DependencyResolver.java:76)                                                                                      
        at org.apache.zeppelin.dep.DependencyResolver.load(DependencyResolver.java:93)                                                                                      
        at org.apache.zeppelin.dep.DependencyResolver.load(DependencyResolver.java:85)                                                                                      
        at org.apache.zeppelin.interpreter.install.InstallInterpreter.install(InstallInterpreter.java:170)                                                                  
        at org.apache.zeppelin.interpreter.install.InstallInterpreter.installAll(InstallInterpreter.java:120)                                                               
        at org.apache.zeppelin.interpreter.install.InstallInterpreter.main(InstallInterpreter.java:270)                                                                     
Caused by: java.lang.NullPointerException                                                                                                                                   
        at org.sonatype.aether.impl.internal.DefaultRepositorySystem.resolveDependencies(DefaultRepositorySystem.java:352)                                                  
        at org.apache.zeppelin.dep.DependencyResolver.getArtifactsWithDep(DependencyResolver.java:176)                                                                      
        ... 7 more                                                                                                                                                          
Install ignite(org.apache.zeppelin:zeppelin-ignite_2.11:0.8.0) to /usr/hdp/current/zeppelin-server/interpreter/ignite ...                                                   
org.sonatype.aether.RepositoryException: Cannot fetch dependencies for org.apache.zeppelin:zeppelin-ignite_2.11:0.8.0                                                       
        at org.apache.zeppelin.dep.DependencyResolver.getArtifactsWithDep(DependencyResolver.java:179)                                                                      
        at org.apache.zeppelin.dep.DependencyResolver.loadFromMvn(DependencyResolver.java:128)                                                                              
        at org.apache.zeppelin.dep.DependencyResolver.load(DependencyResolver.java:76)                                                                                      
        at org.apache.zeppelin.dep.DependencyResolver.load(DependencyResolver.java:93)                                                                                      
        at org.apache.zeppelin.dep.DependencyResolver.load(DependencyResolver.java:85)                                                                                      
        at org.apache.zeppelin.interpreter.install.InstallInterpreter.install(InstallInterpreter.java:170)                                                                  
        at org.apache.zeppelin.interpreter.install.InstallInterpreter.installAll(InstallInterpreter.java:120)                                                               
        at org.apache.zeppelin.interpreter.install.InstallInterpreter.main(InstallInterpreter.java:270)                                                                     
Caused by: java.lang.NullPointerException                                                                                                                                   
        at org.sonatype.aether.impl.internal.DefaultRepositorySystem.resolveDependencies(DefaultRepositorySystem.java:352)                                                  
        at org.apache.zeppelin.dep.DependencyResolver.getArtifactsWithDep(DependencyResolver.java:176)                                                                      
        ... 7 more                                                                                                                                                          
Directory /usr/hdp/current/zeppelin-server/interpreter/jdbc already exists                                                                                                  
                                                                                                                                                                            
Skipped                                                                                                                                                                     
Install kylin(org.apache.zeppelin:zeppelin-kylin:0.8.0) to /usr/hdp/current/zeppelin-server/interpreter/kylin ...                                                           
org.sonatype.aether.RepositoryException: Cannot fetch dependencies for org.apache.zeppelin:zeppelin-kylin:0.8.0                                                             
        at org.apache.zeppelin.dep.DependencyResolver.getArtifactsWithDep(DependencyResolver.java:179)                                                                      
        at org.apache.zeppelin.dep.DependencyResolver.loadFromMvn(DependencyResolver.java:128)                                                                              
        at org.apache.zeppelin.dep.DependencyResolver.load(DependencyResolver.java:76)                                                                                      
        at org.apache.zeppelin.dep.DependencyResolver.load(DependencyResolver.java:93)                                                                                      
        at org.apache.zeppelin.dep.DependencyResolver.load(DependencyResolver.java:85)                                                                                      
        at org.apache.zeppelin.interpreter.install.InstallInterpreter.install(InstallInterpreter.java:170)                                                                  
        at org.apache.zeppelin.interpreter.install.InstallInterpreter.installAll(InstallInterpreter.java:120)                                                               
        at org.apache.zeppelin.interpreter.install.InstallInterpreter.main(InstallInterpreter.java:270)                                                                     
Caused by: java.lang.NullPointerException                                                                                                                                   
        at org.sonatype.aether.impl.internal.DefaultRepositorySystem.resolveDependencies(DefaultRepositorySystem.java:352)                                                  
        at org.apache.zeppelin.dep.DependencyResolver.getArtifactsWithDep(DependencyResolver.java:176)                                                                      
        ... 7 more                                                                                                                                                          
Install lens(org.apache.zeppelin:zeppelin-lens:0.8.0) to /usr/hdp/current/zeppelin-server/interpreter/lens ...                                                              
org.sonatype.aether.RepositoryException: Cannot fetch dependencies for org.apache.zeppelin:zeppelin-lens:0.8.0                                                              
        at org.apache.zeppelin.dep.DependencyResolver.getArtifactsWithDep(DependencyResolver.java:179)                                                                      
        at org.apache.zeppelin.dep.DependencyResolver.loadFromMvn(DependencyResolver.java:128)                                                                              
        at org.apache.zeppelin.dep.DependencyResolver.load(DependencyResolver.java:76)                                                                                      
        at org.apache.zeppelin.dep.DependencyResolver.load(DependencyResolver.java:93)                                                                                      
        at org.apache.zeppelin.dep.DependencyResolver.load(DependencyResolver.java:85)                                                                                      
        at org.apache.zeppelin.interpreter.install.InstallInterpreter.install(InstallInterpreter.java:170)                                                                  
        at org.apache.zeppelin.interpreter.install.InstallInterpreter.installAll(InstallInterpreter.java:120)                                                               
        at org.apache.zeppelin.interpreter.install.InstallInterpreter.main(InstallInterpreter.java:270)                                                                     
Caused by: java.lang.NullPointerException                                                                                                                                   
        at org.sonatype.aether.impl.internal.DefaultRepositorySystem.resolveDependencies(DefaultRepositorySystem.java:352)                                                  
        at org.apache.zeppelin.dep.DependencyResolver.getArtifactsWithDep(DependencyResolver.java:176)                                                                      
        ... 7 more                                                                                                                                                          
Directory /usr/hdp/current/zeppelin-server/interpreter/livy already exists                                                                                                  
                                                                                                                                                                            
Skipped                                                                                                                                                                     
Directory /usr/hdp/current/zeppelin-server/interpreter/md already exists                                                                                                    
                                                                                                                                                                            
Skipped                                                                                                                                                                     
Install pig(org.apache.zeppelin:zeppelin-pig:0.8.0) to /usr/hdp/current/zeppelin-server/interpreter/pig ...                                                                 
org.sonatype.aether.RepositoryException: Cannot fetch dependencies for org.apache.zeppelin:zeppelin-pig:0.8.0                                                               
        at org.apache.zeppelin.dep.DependencyResolver.getArtifactsWithDep(DependencyResolver.java:179)                                                                      
        at org.apache.zeppelin.dep.DependencyResolver.loadFromMvn(DependencyResolver.java:128)                                                                              
        at org.apache.zeppelin.dep.DependencyResolver.load(DependencyResolver.java:76)                                                                                      
        at org.apache.zeppelin.dep.DependencyResolver.load(DependencyResolver.java:93)                                                                                      
        at org.apache.zeppelin.dep.DependencyResolver.load(DependencyResolver.java:85)                                                                                      
        at org.apache.zeppelin.interpreter.install.InstallInterpreter.install(InstallInterpreter.java:170)                                                                  
        at org.apache.zeppelin.interpreter.install.InstallInterpreter.installAll(InstallInterpreter.java:120)                                                               
        at org.apache.zeppelin.interpreter.install.InstallInterpreter.main(InstallInterpreter.java:270)                                                                     
Caused by: java.lang.NullPointerException                                                                                                                                   
        at org.sonatype.aether.impl.internal.DefaultRepositorySystem.resolveDependencies(DefaultRepositorySystem.java:352)                                                  
        at org.apache.zeppelin.dep.DependencyResolver.getArtifactsWithDep(DependencyResolver.java:176)                                                                      
        ... 7 more                                                                                                                                                          
Install python(org.apache.zeppelin:zeppelin-python:0.8.0) to /usr/hdp/current/zeppelin-server/interpreter/python ...                                                        
org.sonatype.aether.RepositoryException: Cannot fetch dependencies for org.apache.zeppelin:zeppelin-python:0.8.0                                                            
        at org.apache.zeppelin.dep.DependencyResolver.getArtifactsWithDep(DependencyResolver.java:179)                                                                      
        at org.apache.zeppelin.dep.DependencyResolver.loadFromMvn(DependencyResolver.java:128)                                                                              
        at org.apache.zeppelin.dep.DependencyResolver.load(DependencyResolver.java:76)                                                                                      
        at org.apache.zeppelin.dep.DependencyResolver.load(DependencyResolver.java:93)                                                                                      
        at org.apache.zeppelin.dep.DependencyResolver.load(DependencyResolver.java:85)                                                                                      
        at org.apache.zeppelin.interpreter.install.InstallInterpreter.install(InstallInterpreter.java:170)                                                                  
        at org.apache.zeppelin.interpreter.install.InstallInterpreter.installAll(InstallInterpreter.java:120)                                                               
        at org.apache.zeppelin.interpreter.install.InstallInterpreter.main(InstallInterpreter.java:270)                                                                     
Caused by: java.lang.NullPointerException                                                                                                                                   
        at org.sonatype.aether.impl.internal.DefaultRepositorySystem.resolveDependencies(DefaultRepositorySystem.java:352)                                                  
        at org.apache.zeppelin.dep.DependencyResolver.getArtifactsWithDep(DependencyResolver.java:176)                                                                      
        ... 7 more                                                                                                                                                          
Install scio(org.apache.zeppelin:zeppelin-scio_2.11:0.8.0) to /usr/hdp/current/zeppelin-server/interpreter/scio ...                                                         
org.sonatype.aether.RepositoryException: Cannot fetch dependencies for org.apache.zeppelin:zeppelin-scio_2.11:0.8.0                                                         
        at org.apache.zeppelin.dep.DependencyResolver.getArtifactsWithDep(DependencyResolver.java:179)                                                                      
        at org.apache.zeppelin.dep.DependencyResolver.loadFromMvn(DependencyResolver.java:128)                                                                              
        at org.apache.zeppelin.dep.DependencyResolver.load(DependencyResolver.java:76)                                                                                      
        at org.apache.zeppelin.dep.DependencyResolver.load(DependencyResolver.java:93)                                                                                      
        at org.apache.zeppelin.dep.DependencyResolver.load(DependencyResolver.java:85)                                                                                      
        at org.apache.zeppelin.interpreter.install.InstallInterpreter.install(InstallInterpreter.java:170)                                                                  
        at org.apache.zeppelin.interpreter.install.InstallInterpreter.installAll(InstallInterpreter.java:120)                                                               
        at org.apache.zeppelin.interpreter.install.InstallInterpreter.main(InstallInterpreter.java:270)                                                                     
Caused by: java.lang.NullPointerException                                                                                                                                   
        at org.sonatype.aether.impl.internal.DefaultRepositorySystem.resolveDependencies(DefaultRepositorySystem.java:352)                                                  
        at org.apache.zeppelin.dep.DependencyResolver.getArtifactsWithDep(DependencyResolver.java:176)                                                                      
        ... 7 more                                                                                                                                                          
Install shell(org.apache.zeppelin:zeppelin-shell:0.8.0) to /usr/hdp/current/zeppelin-server/interpreter/shell ...                                                           
org.sonatype.aether.RepositoryException: Cannot fetch dependencies for org.apache.zeppelin:zeppelin-shell:0.8.0                                                             
        at org.apache.zeppelin.dep.DependencyResolver.getArtifactsWithDep(DependencyResolver.java:179)                                                                      
        at org.apache.zeppelin.dep.DependencyResolver.loadFromMvn(DependencyResolver.java:128)                                                                              
        at org.apache.zeppelin.dep.DependencyResolver.load(DependencyResolver.java:76)                                                                                      
        at org.apache.zeppelin.dep.DependencyResolver.load(DependencyResolver.java:93)                                                                                      
        at org.apache.zeppelin.dep.DependencyResolver.load(DependencyResolver.java:85)                                                                                      
        at org.apache.zeppelin.interpreter.install.InstallInterpreter.install(InstallInterpreter.java:170)                                                                  
        at org.apache.zeppelin.interpreter.install.InstallInterpreter.installAll(InstallInterpreter.java:120)                                                               
        at org.apache.zeppelin.interpreter.install.InstallInterpreter.main(InstallInterpreter.java:270)                                                                     
Caused by: java.lang.NullPointerException                                                                                                                                   
        at org.sonatype.aether.impl.internal.DefaultRepositorySystem.resolveDependencies(DefaultRepositorySystem.java:352)                                                  
        at org.apache.zeppelin.dep.DependencyResolver.getArtifactsWithDep(DependencyResolver.java:176)                                                                      
        ... 7 more   

 

 

 there is a dependency error. after searching I found that maven does not support HTTP requests anymore. so I added the repository by changing them to HTTPS, and an additional HTTP.insecure link.

but still, the error is the same. please do help me at the earliest. there is no clear explanation about zeppelin settings.  

2 REPLIES 2

Re: Zeppelin intrepreters not being able to install in HDP 3.x.x

Expert Contributor

@karnal Can you check does the node "sandbox-hdp zeppelin-server"  have access to internet?

Re: Zeppelin intrepreters not being able to install in HDP 3.x.x

New Contributor

the sandbox has access to the internet, confirmed it with the ping command. how to check for a specific node as you have requested.